## End users

Known end users with notable contributions to the project include: 

* Bloomberg 
* ByteDance 
* GitHub
* Pinterest 
* Square
* Uber

SPIFFE and SPIRE are being used by numerous other companies, both large and small, to build higher layer products and services. The list includes but is not limited to: 

* Cisco 
* Decipher Technology Studios 
* F5 Networks 
* HashiCorp 
* Hewlett Packard Enterprise
* Intel 
* Google 
* IBM 
* Tigera 
* VMware

## Ecosystem

SPIFFE and SPIRE have integrations available with a number of open-source projects. The list includes but is not limited to:

* [Kubernetes](https://github.com/kubernetes/kubernetes)
* [Docker](https://github.com/containerd/containerd)
* [Emissary](https://github.com/github/emissary)
* [Envoy](https://github.com/envoyproxy/envoy)
* [Istio](https://github.com/istio/istio)
* [NGINX](http://hg.nginx.org/nginx/)
* [Ghostunnel](https://github.com/square/ghostunnel)
* [Knox](https://github.com/pinterest/knox)
* [Consul](https://github.com/hashicorp/consul)
* [Hamlet](https://github.com/vmware/hamlet)
* [Athenz](https://github.com/yahoo/athenz)
* [Dapr](https://github.com/dapr)
* [App Mesh Controller](https://github.com/aws/aws-app-mesh-controller-for-k8s)



## Case Studies/User Stories

* Square talks about how Square uses SPIFFE and SPIRE to secure communications across hybrid infrastructure services:
https://youtu.be/H5IlmYmEDKk?t=2585

* Uber talks about integrating SPIRE with workload schedulers: 
https://youtu.be/H5IlmYmEDKk?t=4703

* Tigera demonstrates how Calico, Envoy and SPIRE are used to deliver unified Layer 4 and Layer 7 authorization policies:
https://youtu.be/H5IlmYmEDKk?t=7812

* Bloomberg talks about TPM node attestation with SPIRE:
https://youtu.be/30S0sKRxzjM

* NGINX/F5 on how NGINX service mesh leverages SPIFFE and SPIRE
https://youtu.be/plRkDK5xFpM

* Dapr demonstrates usage of access control lists and SPIFFE identities for service invocation
https://www.youtube.com/watch?v=j99RN_nxExA&t=1110

* Amazon Web Services blogs about using mTLS with SPIFFE/SPIRE in AWS App Mesh on Amazon EKS
https://aws.amazon.com/blogs/containers/using-mtls-with-spiffe-spire-in-app-mesh-on-eks/

## Adding a name

If you would like to add your name to this file, submit a pull request with your change. 


